Subject: bug#53338: closed (Re: One test failed in automake 1.14.1)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Feb 2022 08:04:02 +0000

Your bug report

#53338: One test failed in automake 1.14.1

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53338: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53338
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: One test failed in automake 1.14.1
From: Mike Frysinger <[email-masked]>
To: [email-masked]
Date: Sun, 6 Feb 2022 08:03:23 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

ugh, cc-ed bug-automake by accident and got a dupe report.  closing this.
https://bugs.gnu.org/18564

Subject: Re: One test failed in automake 1.14.1
From: Mike Frysinger <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 18 Jan 2022 06:06:54 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

retitle 18564 t/vala-vapi test failure in automake 1.14.1 on Solaris 10 Sparc
thankyou

for posterity, here's the specific test failure log

FAIL: t/vala-vapi
=================

vala-vapi: running pkg-config --version
0.15.0
vala-vapi: running valac --version
Vala 0.20.1
vala-vapi: determine whether make is GNU make
make: Warning: Ignoring DistributedMake -v option
make: Warning: Ignoring DistributedMake -o option
make: Warning: Ignoring DistributedMake -v option
make: Fatal error: No dmake output dir argument after -o flag
vala-vapi: determine whether gmake is GNU make
GNU Make 4.0
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
pkg-config version: 0.15.0

dnl PKG_CHECK_MODULES(GSTUFF, gtk+-2.0 >= 1.3 glib = 1.3.4, action-if, action-not)
dnl defines GSTUFF_LIBS, GSTUFF_CFLAGS, see pkg-config man page
dnl also defines GSTUFF_PKG_ERRORS on error
AC_DEFUN(PKG_CHECK_MODULES, [
  succeeded=no

  if test -z "$PKG_CONFIG"; then
    AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
  fi

  if test "$PKG_CONFIG" = "no" ; then
     echo "*** The pkg-config script could not be found. Make sure it is"
     echo "*** in your path, or set the PKG_CONFIG environment variable"
     echo "*** to the full path to pkg-config."
     echo "*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config."
  else
     PKG_CONFIG_MIN_VERSION=0.9.0
     if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
        AC_MSG_CHECKING(for $2)
Running from installcheck: no
Test Protocol: none
PATH = /home/dam/mgar/pkg/automake/trunk/work/solaris10-sparc/build-isa-sparcv8plus-version-1.14.1/automake-1.14.1/t/wrap:/home/dam/mgar/pkg/automake/trunk/work/solaris10-sparc/build-isa-sparcv8plus-version-1.14.1/automake-1.14.1/t/ax:/home/dam/bin:/usr/bin:/usr/sbin:/sbin:/usr/ccs/bin:/usr/dt/bin:/usr/openwin/bin:/opt/SUNWspro/bin:/opt/bop/bin:/opt/csw/bin:/usr/sfw/bin:/usr/sfw/sbin:/usr/ccs/bin:/opt/csw/bin
++ pwd
/home/dam/mgar/pkg/automake/trunk/work/solaris10-sparc/build-isa-sparcv8plus-version-1.14.1/automake-1.14.1/t/vala-vapi.dir
+ cat
+ cat
+ cat
+ printf '%s\n' '#define BARBAR "Zardoz!\n"'
+ cat
+ cross_compiling
+ test x '!=' x
+ unindent
+ test x = x
++ printf '%s\n' '
  /^$/b                    # Nothing to do for empty lines.
  x                        # Get x<indent> into pattern space.
  /^$/{                    # No prior x<indent>, go prepare it.
    g                      # Copy this 1st non-blank line into pattern space.
    s/^\([	 ]*\).*/x\1/   # Prepare x<indent> in pattern space.
  }                        # Now: x<indent> in pattern and <line> in hold.
  G                        # Build x<indent>\n<line> in pattern space, and
  h                        # duplicate it into hold space.
  s/\n.*$//                # Restore x<indent> in pattern space, and
  x                        # exchange with the above duplicate in hold space.
  s/^x\(.*\)\n\1//         # Remove leading <indent> from <line>.
  s/^x.*\n//               # Restore <line> when there is no leading <indent>.
'
++ sed -e 's/  *# .*//'
+ sed_unindent_prog='
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//'
+ sed '
  /^$/b
  x
  /^$/{
    g
    s/^\([	 ]*\).*/x\1/
  }
  G
  h
  s/\n.*$//
  x
  s/^x\(.*\)\n\1//
  s/^x.*\n//'
+ aclocal-1.14 -Werror -Wno-syntax
+ automake-1.14 --foreign -Werror -Wall -a
+ autoconf
+ ./configure --enable-dependency-tracking
checking for a BSD-compatible install... /opt/csw/bin/ginstall -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /opt/csw/bin/gmkdir -p
checking for gawk... gawk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking for gcc... /opt/SUNWspro/bin/cc 
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether /opt/SUNWspro/bin/cc  accepts -g... yes
checking for /opt/SUNWspro/bin/cc  option to accept ISO C89... none needed
checking whether /opt/SUNWspro/bin/cc  understands -c and -o together... yes
checking for style of include used by gmake... GNU
checking dependency style of /opt/SUNWspro/bin/cc ... dashXmstdout
checking for valac... /opt/csw/bin/valac
checking whether /opt/csw/bin/valac is at least version 0.7.3... yes
checking for pkg-config... /usr/bin/pkg-config
checking for gobject-2.0 >= 2.4... yes
checking GOBJECT_CFLAGS... -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
checking GOBJECT_LIBS... -lgobject-2.0 -lglib-2.0  
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: executing depfiles commands
+ gmake
rm -f zardoz_vala.stamp && echo stamp > zardoz_vala.stamp-t
CDPATH="${ZSH_VERSION+.}:" && cd . && /opt/csw/bin/valac   -C zardoz.vala foo.vapi
mv -f zardoz_vala.stamp-t zardoz_vala.stamp
source='zardoz.c' object='zardoz.o' libtool=no \
DEPDIR=.deps depmode=dashXmstdout /bin/bash ./depcomp \
/opt/SUNWspro/bin/cc  -DPACKAGE_NAME=\"vala-vapi\" -DPACKAGE_TARNAME=\"vala-vapi\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"vala-vapi\ 1.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"vala-vapi\" -DVERSION=\"1.0\" -I.   -I/opt/csw/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -xO3 -m32 -xarch=sparc -c -o zardoz.o zardoz.c
"zardoz.c", line 213: warning: implicit function declaration: g_once_init_enter
"zardoz.c", line 219: warning: implicit function declaration: g_once_init_leave
"zardoz.c", line 228: warning: argument #1 is incompatible with prototype:
	prototype: pointer to int : "/usr/include/glib-2.0/glib/gatomic.h", line 39
	argument : pointer to volatile int
"zardoz.c", line 236: warning: argument #1 is incompatible with prototype:
	prototype: pointer to int : "/usr/include/glib-2.0/glib/gatomic.h", line 37
	argument : pointer to volatile int
/opt/SUNWspro/bin/cc  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -xO3 -m32 -xarch=sparc   -o zardoz zardoz.o -lgobject-2.0 -lglib-2.0   
Undefined			first referenced
 symbol  			    in file
g_once_init_enter                   zardoz.o
g_once_init_leave                   zardoz.o
ld: fatal: symbol referencing errors. No output written to zardoz
Makefile:351: recipe for target 'zardoz' failed
gmake: *** [zardoz] Error 1
+ am_exit_trap 2
+ exit_status=2
+ set +e
+ cd /home/dam/mgar/pkg/automake/trunk/work/solaris10-sparc/build-isa-sparcv8plus-version-1.14.1/automake-1.14.1
+ test none = tap
+ case $am_explicit_skips in
+ test 2 -eq 0
+ keep_testdirs=yes
+ am_keeping_testdirs
+ case $keep_testdirs in
+ return 0
+ set +x
vala-vapi: exit 2